#include <bits/stdc++.h>

using namespace std;

int main() {
    int m;
    long long t;
    cin >> m >> t;

    vector<long long> dp(m + 1, 0);
    for (int i = 1; i <= m; i++) {
        cin >> dp[i];
        dp[i] += dp[i - 1];
    }

    if (dp[m] < t) {
        cout << -1;
        return 0;
    }

    int l = 1, r = m;
    while (r - l > 1) {
        int mid = (l + r) / 2;
        if (dp[mid] <= t) {
            r = mid;
        } else {
            l = mid;
        }
    }

    int temp = l;

    l = 1, r = temp - 1;

    while (r - l > 1) {
        int mid = (l + r) / 2;
        if (dp[temp] - dp[mid] > t) {
            l = mid;
        } else {
            r = mid;
        }
    }

    cout << temp - r;

    return 0;
}
